SDL_GPUTextureSamplerBinding(3type)

NAME
SDL_GPUTextureSamplerBinding - A structure specifying parameters in a sampler binding call.

SYNOPSIS
#include <SDL3/SDL_gpu.h>

typedef struct SDL_GPUTextureSamplerBinding
{
    SDL_GPUTexture *texture;  /**< The texture to bind. Must have been created with SDL_GPU_TEXTUREUSAGE_SAMPLER. */
    SDL_GPUSampler *sampler;  /**< The sampler to bind. */
} SDL_GPUTextureSamplerBinding;

AVAILABILITY
This struct is available since SDL 3.2.0.

SEE ALSO
SDL_BindGPUVertexSamplers(3), SDL_BindGPUFragmentSamplers(3)